%  some examples
%  useful -> ISBN to BibTeX: http://lead.to/amazon/en/

@book{yiu2014armcortexm3,
	title={The Definitive Guide to ARM® Cortex®-M3 and Cortex-M4 Processors, Third Edition},
	author={Joseph Yiu},
	isbn={978-0-12-408082-9},
	year={2014},
	publisher={Newnes}
}

@online{website:stm32f4,
	editor = {{STMicroelectronics}},
	title = {STM32F4 - ARM Cortex-M4 High-Performance MCUs - STMicroelectronics},
	url = {https://www.st.com/en/microcontrollers-microprocessors/stm32f4-series.html},
	urldate = {2023-09-11},
	year = {2023}
}

@online{website:stm32nucleo_f446re,
	editor = {{STMicroelectronics}},
	title = {NUCLEO-F446RE - STM32 Nucleo-64 development board with STM32F446RE MCU, supports Arduino and ST morpho connectivity - STMicroelectronics},
	url = {https://www.st.com/en/evaluation-tools/nucleo-f446re.html#overview},
	urldate = {2023-09-11},
	year = {2023}
}
